package org.nakedobjects.nos.store.hibernate.type;

import org.nakedobjects.applib.value.Image;
import org.nakedobjects.nof.core.adapter.value.AbstractImageAdapter;
import org.nakedobjects.nof.reflect.java.value.ImageAdapter;


public class ImageType extends AbstractImageType {

    protected AbstractImageAdapter getImageAdapter(Object value) {
        if (value == null) {
            return new ImageAdapter();
        }
        return new ImageAdapter((Image) value);
    }

    public Class returnedClass() {
        return Image.class;
    }
}
